# Abnormal Sigils

A library of 53 unique sigils based on the abnormalities from Lobotomy Corporation and its related media.

Also includes:
- 5 custom Tribes
- 6+ custom Traits
- 4 custom CardMetaCategories
- 3 custom CardAppearanceBehaviours
- New 'status effects'

## 🔗 Compatibility

### Tribal Libary (sic)
If you have [Tribal Libary](https://inscryption.thunderstore.io/package/The_Unwanted_but_Useful_Libraries/Tribal_Libary/) installed,
my custom Tribes will be replaced with equivalents from Tribal Libary.

## 💌 Credits/Acknowledgements
Artwork and coding:
- WhistleWind

Testing and Feedback:
- Orochi Umbra

## ✨ Abilities
\*Modular means that the sigil can be found on Totem bases.

|NAME|MODULAR|STACKABLE|POWERLEVEL|DESCRIPTION|
|:-|:-:|:-:|:-:|:--|
|Punisher			|X	|X	|4	|When a card bearing this sigil is struck, the striker is killed.|
|Bloodfiend			|✓	|✓	|3	|When this card deals damage, it gains 1 Health.|
|Martyr				|✓	|✓	|1	|When a card bearing this sigil dies, all allied creatures gain 2 Health.|
|Aggravating		|X	|✓	|-3	|While this card is on the board, all opposing creatures gain 1 Power.|
|Team Leader		|X	|✓	|5	|While this card is on the board, all allied creatures gain 1 Power.|
|Idol				|X	|✓	|5	|While this card is on the board, all opposing creatures lose 1 Power.|
|Conductor			|X	|X	|3	|Affected cards gain Power equal to half this card's Power. Over the next 3 turns: affect adjacent -> allied -> all other cards and double the Power gained.|
|Woodcutter			|X	|X	|4	|When a creature moves into the space opposite this card, they take damage equal to this card's Power.|
|Frozen Heart		|X	|X	|-1	|When a card bearing this sigil dies, the killer gains 2 Health.|
|Ruler of Frost		|X	|X	|4	|Once per turn, pay 2 Bones to choose a space on the board. If the space is empty, create a Block of Ice. Otherwise, if this card can kill the chosen card, transform it into a Frozen Heart.|
|Roots				|✓	|X	|3	|When this card is played, create Thorny Vines on adjacent empty spaces. A Thorny Vines is defined as: 0 Power, 1 Health, Sharp Quills.|
|Broodmother		|X	|X	|3	|When a card bearing this sigil is struck, create a Spiderling in your hand. A spiderling is defined as: 0 Power, 1 Health, Fledgling.|
|Cursed				|✓	|X	|0	|When a card bearing this sigil dies, the killer transforms into a copy of this card.|
|Healer				|X	|X	|2	|At the end of the owner's turn, they will choose one of their cards to heal by 2 Health.|
|Queen Nest			|X	|X	|4	|Whenever another card dies, create a Worker Bee in your hand. A Worker Bee is defined as: 1 Power, 1 Health.|
|Bitter Enemies		|✓	|✓	|1	|This card gains 1 Power for each other card on the board that also bears this sigil.|
|Courageous			|X	|X	|3	|Creatures adjacent to this card lose up to 2 Health. For each point of Heath lost, the affected creature gains 1 Power. This effect cannot kill cards.|
|Serpent's Nest		|✓	|X	|2	|When a card bearing this sigil is struck, the striker gains 1 Worms.|
|Assimilator		|X	|✓	|4	|When this card kills an opposing card, it gains 1 Power and 1 Health.|
|Group Healer		|X	|X	|4	|At the start of its owner's turn, this card will heal all allies that have taken damage by 1 Health.|
|Reflector			|✓	|X	|2	|When this card is struck, the striker is dealt damage equal to the striker's Power.|
|Flag Bearer		|X	|✓	|3	|While this card is on the board, adjacent creatures gain 2 Health.|
|Grinder			|X	|X	|3	|This card gains the stats of the creatures sacrificed to play it.|
|The Train			|X	|X	|5	|When a card bearing this sigil is played, kill all creatures on the board. Creatures killed this way do not drop bones.|
|Scorching			|✓	|✓	|2	|The creature opposing this card takes 1 damage at the end of its owner's turn.|
|Regenerator		|✓	|✓	|3	|At the start of its owner's turn, this card heals adjacent cards by 1 Health.|
|Volatile			|X	|X	|0	|When this card dies, adjacent and opposing cards are dealt 10 damage.|
|Gift Giver			|X	|X	|3	|When a card bearing this sigil is played, create a random card in your hand.|
|Piercing			|✓	|X	|2	|Damage dealt by this card cannot be negated or reduced by sigils such as Armoured or Thick Skin.|
|Scrambler			|X	|X	|3	|When a card bearing this sigil is sacrificed, give its stats to the sacrificing card then randomise the resulting stats. Works with Spells.|
|Gardener			|X	|X	|4	|When an allied card is killed, create a Sapling in their place. A Sapling is defined as: 0 Power, 2 Health, Bone Digger.|
|Made of Slime		|X	|X	|5	|If this card is not a Slime, take 1 damage at turn's end and transform into a Slime on death. Adjacent cards gain this sigil at the end of the owner's turn.|
|Protector			|X	|✓	|3	|Creatures adjacent to this card take 1 less damage when struck.|
|Alchemist			|X	|X	|3	|Pay 2 Energy to discard your current hand and draw cards equal to the amount you discarded.
|Nettle Clothes		|X	|X	|5	|When this card is played, fill all empty spaces on the owner's side of the board with random Brothers. This card gains sigils based on allied Brothers.|
|Sporogenic			|✓	|X	|2	|"Creatures adjacent to this card gain 1 Spores at the end of its owner's turn. This sigil activates before other sigils.|
|Witness			|X	|X	|1	|Pay 2 Bones to increase the selected creature's Health by 2 and their taken damage by 1. This effect stacks up to 3 times.|
|Corrector			|✓	|X	|2	|When a card bearing this sigil is drawn, randomly change its stats according to its total play cost.|
|Thick Skin			|✓	|✓	|2	|Whenever a card bearing this sigil takes damage, reduce that damage by 1.|
|Opportunistic		|✓	|✓	|2	|A card bearing this sigil deals 1 additional damage to opposing cards that cannot attack this card during their own turn.|
|Persistent			|✓	|X	|2	|Attacks by this card cannot be avoided or redirected by sigils like Loose Tail or Waterborne.|
|Copycat			|X	|X	|2	|This gains the sigils and stats of the first card to be played in the opposing space.|
|Neutered			|X	|X	|-3	|A card bearing this sigil has its Power reduced to 0. At the start of the owner's turn, remove this sigil.|
|Neutered Latch		|X	|X	|4	|Once per turn, pay [sigilcost:2 Bones] to choose a creature to gain the Neutered sigil, then increase this sigil's activation cost by 2 Bones.|
|Rightful Heir		|X	|X	|3	|Once per turn, pay [sigilcost:3 Bones] to transform a chosen creature into a Pumpkin, then increase this sigil's activation cost by 1 Bone until battle's end. A Pumpkin is defined as: 0 Power, 2 Health, Fledgling.|
|Greedy Healing		|✓	|X	|3	|At the end of its owner's turn, this card gains 2 Health. If 2 turns pass without this card taking damage, it will die.|
|Cycler				|✓	|X	|1	|At the end of the owner's turn, this card moves in the sigil's direction, looping around the owner's side of the board.|
|Barreler			|✓	|X	|1	|At the end of the owner's turn, this card moves in the sigil's direction to the end of the board, moving any cards in the way.|
|Bloodletter		|X	|✓	|4	|When a card bearing this sigil is struck nonfatally, absorb 1 Health from the striker.|
|Left-Veering Strike|X	|X	|0	|A card bearing this sigil will strike the opposing space to the left of the space across from it.|
|Right-Veering Strike|X	|X	|0	|A card bearing this sigil will strike the opposing space to the right of the space across from it.|
|Persecutor			|X	|X	|4	|When a card bearing this sigil is played, create a Nail in the adjacent left space and a Hammer in the adjacent right space if they are empty.|
|Lonely				|X	|X	|2	|Choose a card on the board to gain 1 Pebble unless a card with Pebble already exists. If a card with Pebble dies, all ally cards receive 1 additional damage until a new card is chosen. This card is returned to your hand.|
|False Throne		|X	|X	|4	|Once per turn, pay 2 Health to give Neutered to a chosen creature, then create a free, unaltered copy of it in your hand.|
|Return to Nihil	|X	|X	|5	|At the end of the owner's turn, deal damage to all other cards on the board equal to this card's Power.|
|Follow the Leader	|X	|X	|2	|At the end of its owner's turn, this card moves in the sigil's direction, looping around the owner's side of the board. Allied creatures towards this card in the sigil's direction as far as possible.|

## Stat Icons
|Name			|Power	|Health	|Description|
|Passing Time	|✓		|X		|The value represented with this sigil will be equal to the number of turns that have passed since this card was placed on the board.|
|Sigil Power	|✓		|✓		|The value represented with this sigil will be equal to the power level of this card's strongest sigil.|
|Slimes			|✓		|X		|The value represented by this sigil will be equal to the number of Slimes that the owner has on their side of the table.|
|Nihil			|✓		|X		|The value represented by this sigil will be equal to the number of empty spaces on the board.|

## Tribes, Traits, and Others
Tribes: Anthropoid, Botanic, Divine, Fae, Mechanial

### Traits
Note that the description is only how they're used in this mod; you can use them for other things if you wanted.
- Boneless - This card will not drop bones when killed
- SwanBrother - This card will give its first sigil to cards bearing Nettle Clothes
- NakedSerpent - This card is immune to the Sporogenic ability
- SporeFriend - This card is immune to the Serpent Nest ability
- LovingSlime - This card is immune to the Made of Slime ability
- ImmunetoInstaDeath - This card is immune to insta-kill abilities Touch of Death and Punisher

### CardMetaCategories
- CannotGiveSigils - This card cannot be sacrificed for card merging
- CannotGainSigils - This card cannot be a host for card merging
- CannotBoostStats - This card cannot be used at the campfire
- CannotCopyCard - This card cannot be painted by Goobert

### CardAppearanceBehaviours
- AlternateBattlePortrait - This card will switch to its alternate portrait during card battles (works in Act 2 if an alternate pixel portrait exists)
- ForcedEmission - This card's emission is always on
- ForcedWhiteEmission - This card's emission is always on and lit using white light

### Status Effects
This mod uses a custom type of abilities known as status effects.
These are special abilities that use a dummy ability's icon to display and keep track of the status's count.
This mod has 2 status effects: Worms and Spores (see below), and cards will show up to 5 at a time, based on their priority and count.

- Haste - This card attacks before ally cards with less Haste. At 4 Haste, attack before opposing cards as well. Remove all Haste from this card when it attacks or on next upkeep.
- Bind - This card attacks after ally cards with less Bind. At 4 Bind, attack after opposing cards as well. Remove all Bind from this card when it attacks or on next upkeep.
- Worms - At the start of the owner's turn, this card gains 1 Worms. At 5+ Worms, attack allied creatures instead with a chance to give 1 Worms to struck cards.
- Spores - At the start of its owner's turn, this card takes damage equal to its Spores. Upon dying, create a Spore Mold Creature with stats equal to its Spores.

## 🛠️ Configuration Options

### Enable Mod
#### Default value: True
Enables this mod's content.

### Disable Abilities
#### Default Value: None
#### Possible Values: 
Disables abilities based on type group, preventing them from being seen in the Rulebook or obtained as totem bases.
This overrides any settings in Make Modular.

### Make Modular
#### Default Value: None
#### Possible Values: 
Forces abilities to be modular based on type group, meaning they can be found on totem bases.

## 🕓 Closing Notes
You ever create a nice, functional system and you think to yourself "Wow this is such a nice, functional system! It's so intuitive to use too!"
And then like a month later, you decide "I can make this better. All I need to do is completely recreate the whole dang thing!"
Anyways, I decided to spin off the sigils from my Lobotomy Mod into their own mod, on the off chance someone wants to just use my very niche sigils (and maybe the other stuff included).

Ended up reworking quite a few of my sigils, overall I think I made them more interesting to use and hopefully gave them more general utility.
Had a lot of fun making all of them!

Status effects were a particular challenge to make, but fortunately my experience working on the API helped me rig something functional together.
It's super unintuitive in its current state, but I didn't design it with public use in mind so...whoops.
I may end up spinning it off into its own mod once I inevitably rework how they're created and implemented.
In other news, Project Moon released an entirely new game in the time it took me to release Lobotomy mod 2.0, so there's already some potential ideas for future status effects in the future~.

And yes, I'll eventually make cards/abilities based off the Limbus abnormalities, why wouldn't I subject myself to more of this work?
Real life's made for functional, well-adjusted people, I don't need to figure out how to cook for myself! Two cheese sticks and an apple for lunch, s'il vous plaît.